$(document).ready(function(){
$(".f_sort").live("click", function(){

	var Method	=	$(this).attr("method");
	if(Method=="1"){
		$(this).attr("method","0");
	}else{
		$(this).attr("method","1");
	}
	var index = $(this).index("th");
	
	var Divs	=	$(this).parents("table").find("tbody").find("tr").toArray();
	var length	=	Divs.length;
	var DivArray	=	new Array();
	for(var i=0;i<length;i++)
	{
		DivArray[i]	= Divs[i];
	}
	DivArray.sort(GetSort1("sortVal",Method,index));
	try
	{
	var SortDiv	=	document.createDocumentFragment();
	for(var i=0;i<length;i++)
	{
		SortDiv.appendChild(DivArray[i]);
	}
	$(this).parents("table").find("tbody").html(SortDiv);
	}
	catch(Err)
	{
		alert(Err.description);
	}

}); 
}); 




function GetSort1(attributeName,Method,index)
{
	return function KGetSort(tr1,tr2)
	{
		var x	=	parseFloat(tr1.cells[index].getAttribute(attributeName));
		var y	=	parseFloat(tr2.cells[index].getAttribute(attributeName));
		if(Method==1)
		{
			if(x<y)
			{
				return -1;
			}
			else
			{
				return 1;
			}
		}else{
			if(x>y)
			{
				return -1;
			}
			else
			{
				return 1;
			}		
		}
	}
}
